/* No border for images */
img {border:0;}

/* Rounded images under the class rounded: */
img.rounded { border:0; border-radius: 15px 15px 15px 15px; }

/* Rounded images w/drop shadow, class roundeddropshadow: */
img.roundeddropshadow {
	border:0; border-radius: 15px 15px 15px 15px;
	/* Drop shadow stuff: */
	box-shadow: 3px 3px 4px #999; /* CSS3 FF/Chrome/Safari */
}

/*Quick way to make stuff centered, code is for a div id:*/
#centeredcontent {text-align:center;}

/* for the navigation divs, centers stuff: */
.navdiv {text-align:center;}

#topnavbar { text-align:center; }

.studentorgulheader {list-style-type:none;} /* headers */
.moveitoverabit {text-indent:30px; list-style-position: inside;} /* primary bullets */
.subbullet {text-indent:50px; list-style-position: inside; list-style-type:square;} /* sub bullets */
.subsubbullet {text-indent:70px; list-style-position: inside; list-style-type:circle;} /* sub bullets */

/* Scale banner with size of the browser window */
img.banner {
    height: 100%;
    width: 100%;
    max-width: 768px;
	max-height: 110px;
}

/* Code Blocks */
code {
	display: block;
	white-space: pre-wrap;
}

/* Classes for multi level bullets in lists */
/* inspired by https://www.computerhope.com/issues/ch001703.htm */
/* https://www.w3schools.com/CSSref/pr_list-style-type.asp */
.sub1 {
	list-style-type: square;
	margin-left: 3em;
}
.sub2 {
	list-style-type: circle;
	margin-left: 6em;
}

/* End misc things */

/*==================================================================*/

/*The rest below are styles that are ordered logically based on the page structure:*/

/* Light theme */
@media (prefers-color-scheme: light) {
	body {
		/* This is mainly gonna control the background image/color for the outermost part of the site */
			text-align: center;
		/* IE6 uses this to center the layout in the browser window */
			background-color:#FFFFFF; /*outermost bg*/
			/* background-image:url(../images/fillerbg.png); */ /* Filler gradient background */
			background-repeat:repeat-x; /* Makes it repeat :P */
			background-position:center;
			background-attachment:fixed; /* no move on scroll */
		}

		#capstonebar {
			background-color:#004b8e;
			padding-left:20px;
			margin-top: -21px;
			margin-left: -12px;
			margin-right: -12px;
			padding-top:1px;
			width:100%;
			}

		#capstonebar_inner {
			text-align:left;
			color:#FFF;
			font-family:Verdana, Geneva, sans-serif;
			font-size:20px;
		 }

		#main_wrapper {
			/* This is the main box that envelopes everything else, this sets the master size */
			/* if this width is omitted the layout becomes liquid filling the whole window */
			max-width: 768px; /* Maximum width allowed */
			margin-left: auto;
			margin-right: auto;
			/* reset the centering hack for IE6 on the body tag */
			text-align: left;
			background-color: #FFFFFF;
			border:solid #999; /* master page border */

			/* rounded borders, makes things less pointy and dangerous: */
			border-radius: 15px 15px 15px 15px;

		}

		#header {
			/* The topmost boxlike area */
			background-color: #004b8e;
			font-family:Arial, Helvetica, sans-serif;

			/* rounded borders: */
			border-radius: 15px 15px 15px 15px;
		}

		#header_inner {
		/* create space between the box and the content */
			background-color: #004b8e;
			color:#FFFFFF;
			padding-bottom:8px; /* spacing between bottom of nav links and stuff below */

			/* rounded borders: */
			border-radius: 15px 15px 15px 15px;
		}

		#nav {
			width: 25%;
			float: left;
			background-color: #FFFFFF;
			font-family:Arial, Helvetica, sans-serif;
			font-size:16px;

			/* rounded borders: */
			border-radius: 15px 15px 15px 15px;

			/* Drop shadow stuff: */
			 box-shadow: 3px 3px 4px #999; /* CSS3 FF/Chrome/Safari */
			/* IE 8 (Not supporting this anymore) */
			 /* -ms-filter: "progid:DXImageTransform.Microsoft.Shadow(Strength=4, Direction=135, Color='#999999')"; */
			/* IE 5.5 - 7 (Not supporting this anymore) */
			 /* : progid:DXImageTransform.Microsoft.Shadow(Strength=4, Direction=135, Color='#999999'); */

			 /* for making the left nav bar's drop shadow show over the content box: */
			 position:relative; /* Do not change this, changing this value to anything other than relative breaks the whole layout */
			 z-index:1;
		}

		#nav_inner {
		/* create space between the box and the content */
			padding: 1em 2em;
			background-color:#E7E7E7;
			color:#000000;
			font-size:16px;
			font-family:Arial, Helvetica, sans-serif;
			/*border-right: 3px solid #999;*/

			/* rounded borders: */
			border-radius: 15px 15px 15px 15px;
			/*position:fixed;*/ /*Enable if you want the left nav to stay with you as you scroll, its ugly though. */

		}

		#content {
			width: 75%;
			float: left; /*Change to "right" along with above position change if you want the left nav to stay with you as you scroll, its ugly though. */
			top: 0px;
			background-color: #FFFFFF;
			color:#000000;

			/* rounded borders: */
			border-radius: 15px 15px 15px 15px;


			/* for making the left nav bar's drop shadow show over the content box [z-index of 0 [aka lower than nav's value of 1] sends it to back]: */
			position:relative; /* Do not change this, changing this value to anything other than relative breaks the whole layout */
			z-index:0;
		}

		#content_inner {
		/* create space between the box and the the content */
			padding: 0 1em 1em 1.5em;
			background-color: #FFFFFF;
			/*background-image:url(../images/contentbg.png);*/
			color:#000000;
			font-family:Arial, Helvetica, sans-serif;
			font-size:16px;

			/* rounded borders: */
			border-radius: 15px 15px 15px 15px;
		}

		#footer {
			clear: both;
			/*padding: 0 1em 1em 1.5em;*/ /* Commenting this out makes it take up whole width, sorta prettier */
			background-color: #FFFFFF;
			color:#000000;
			font-family:Arial, Helvetica, sans-serif;

			/* rounded borders: */
			border-radius: 15px 15px 15px 15px;
		}

		#footer_inner {
		/* create space between the box and the the content */
			padding: .5em 1em;
			text-align: left;
			background-color:#E7E7E7;
			font-size:14px;
			font-family:Arial, Helvetica, sans-serif;
			color:#000000;
			text-align:center;

			/* rounded borders: */
			border-radius: 15px 15px 15px 15px;
		}

		.gray {font-weight:bold; color:#999;}

		h1 { color:#336dff; }
		h2 { color:#336dff; }
		h3 { color:#336dff; }
		/*Make the horizontal rules pretty*/
		hr {color:#336dff; background-color:#336dff; height:3px; }

		/* Black Links! */
		a:link {color:#336dff; text-decoration:none;}
		a:visited {color:#336dff; text-decoration:none;}

		/*These correlate to the menuanchorclass things for the menu bars:*/
		a.menuanchorclass {color:#336dff; text-decoration:none; text-transform:uppercase; font-weight:bold; font-size:18px;} /* Link 1 */
		a.menuanchorclass2 {color:#336dff; text-decoration:none; text-transform:uppercase; font-weight:bold; font-size:18px;} /* Link 2 */
		a.menuanchorclass3 {color:#336dff; text-decoration:none; text-transform:uppercase; font-weight:bold; font-size:18px;} /* Link 3 */
		a.menuanchorclass4 {color:#336dff; text-decoration:none; text-transform:uppercase; font-weight:bold; font-size:18px;} /* Link 4 */
		a.menuanchorclass5 {color:#336dff; text-decoration:none; text-transform:uppercase; font-weight:bold; font-size:18px;} /* Link 5 */
		a.menuanchorclass6 {color:#336dff; text-decoration:none; text-transform:uppercase; font-weight:bold; font-size:18px;} /* Link 6 */
		a.menuanchorclass7 {color:#336dff; text-decoration:none; text-transform:uppercase; font-weight:bold; font-size:18px;} /* Link 7 */
		a.menuanchorclass8 {color:#336dff; text-decoration:none; text-transform:uppercase; font-weight:bold; font-size:18px;} /* Link 8 */
		a.menuanchorclass9 {color:#336dff; text-decoration:none; text-transform:uppercase; font-weight:bold; font-size:18px;} /* Link 9 */

		/* Capstone bar links */
		a.capstonebarlink:link {color:#336dff; font-family: Verdana, Geneva, sans-serif; text-decoration:none;}
		a.capstonebarlink:hover {color:#336dff; font-family: Verdana, Geneva, sans-serif; text-decoration:none;}
		a.capstonebarlink:visited {color:#336dff; font-family: Verdana, Geneva, sans-serif; text-decoration:none;}
		.capstonebarlinkcurrentpage {color:#999; font-family: Verdana, Geneva, sans-serif; font-weight:bold; text-decoration:none; border-top:solid #C03;}

		/* Left navbar links bold when hovered over */
		a.leftnavlink:link {color:#336DFF; text-decoration:none;}
		a.leftnavlink:hover {color:#336DFF; font-weight:bold; text-decoration:none;}
		a.leftnavlink:visited {color:#336DFF; text-decoration:none;}

		/* Important links, same as above but different color: */
		a.importantlink:link {color:#336dff; text-decoration:none;}
		a.importantlink:hover {color:#F00; font-weight:bold; text-decoration:none;}
		a.importantlink:visited {color:#336dff; text-decoration:none;}

		/* Misc things */
		.jsfooter {font-size:14px;background-color:#FFFFFF;color:#000000;} /* Controls the Javascript footer attributes */

		/* fancy shmancy unordered list: */
		.leftborderedul { border-left:solid #336dff 8px; } /* add the left border */
}

/* Dark theme */
@media (prefers-color-scheme: dark) {
	body {
		/* This is mainly gonna control the background image/color for the outermost part of the site */
			text-align: center;
		/* IE6 uses this to center the layout in the browser window */
			background-color:#000000; /*outermost bg*/
			/* background-image:url(../images/fillerbg.png); */ /* Filler gradient background */
			background-repeat:repeat-x; /* Makes it repeat :P */
			background-position:center;
			background-attachment:fixed; /* no move on scroll */
		}

		#capstonebar {
			background-color:#000000;
			padding-left:20px;
			margin-top: -21px;
			margin-left: -12px;
			margin-right: -12px;
			padding-top:1px;
			width:100%;
			}

		#capstonebar_inner {
			text-align:left;
			color:#FFF;
			font-family:Verdana, Geneva, sans-serif;
			font-size:20px;
		 }

		#main_wrapper {
			/* This is the main box that envelopes everything else, this sets the master size */
			/* if this width is omitted the layout becomes liquid filling the whole window */
			max-width: 768px; /* Maximum width allowed */
			margin-left: auto;
			margin-right: auto;
			/* reset the centering hack for IE6 on the body tag */
			text-align: left;
			background-color: #000000;
			border:solid #999; /* master page border */

			/* rounded borders, makes things less pointy and dangerous: */
			border-radius: 15px 15px 15px 15px;

		}

		#header {
			/* The topmost boxlike area */
			background-color: #000000;
			font-family:Arial, Helvetica, sans-serif;

			/* rounded borders: */
			border-radius: 15px 15px 15px 15px;
		}

		#header_inner {
		/* create space between the box and the content */
			background-color: #000000;
			color:#000000;
			padding-bottom:8px; /* spacing between bottom of nav links and stuff below */

			/* rounded borders: */
			border-radius: 15px 15px 15px 15px;
		}

		#nav {
			width: 25%;
			float: left;
			background-color: #000000;
			font-family:Arial, Helvetica, sans-serif;
			font-size:16px;

			/* rounded borders: */
			border-radius: 15px 15px 15px 15px;

			/* Drop shadow stuff: */
			 box-shadow: 3px 3px 4px #999; /* CSS3 FF/Chrome/Safari */
			/* IE 8 (Not supporting this anymore) */
			 /* -ms-filter: "progid:DXImageTransform.Microsoft.Shadow(Strength=4, Direction=135, Color='#999999')"; */
			/* IE 5.5 - 7 (Not supporting this anymore) */
			 /* : progid:DXImageTransform.Microsoft.Shadow(Strength=4, Direction=135, Color='#999999'); */

			 /* for making the left nav bar's drop shadow show over the content box: */
			 position:relative; /* Do not change this, changing this value to anything other than relative breaks the whole layout */
			 z-index:1;
		}

		#nav_inner {
		/* create space between the box and the content */
			padding: 1em 2em;
			background-color:#000000;
			color:#FFFFFF;
			font-size:16px;
			font-family:Arial, Helvetica, sans-serif;
			/*border-right: 3px solid #999;*/

			/* rounded borders: */
			border-radius: 15px 15px 15px 15px;
			/*position:fixed;*/ /*Enable if you want the left nav to stay with you as you scroll, its ugly though. */

		}

		#content {
			width: 75%;
			float: left; /*Change to "right" along with above position change if you want the left nav to stay with you as you scroll, its ugly though. */
			top: 0px;
			background-color: #000000;
			color:#ffffff;

			/* rounded borders: */
			border-radius: 15px 15px 15px 15px;


			/* for making the left nav bar's drop shadow show over the content box [z-index of 0 [aka lower than nav's value of 1] sends it to back]: */
			position:relative; /* Do not change this, changing this value to anything other than relative breaks the whole layout */
			z-index:0;
		}

		#content_inner {
		/* create space between the box and the the content */
			padding: 0 1em 1em 1.5em;
			background-color: #000000;
			/*background-image:url(../images/contentbg.png);*/
			color:#FFFFFF;
			font-family:Arial, Helvetica, sans-serif;
			font-size:16px;

			/* rounded borders: */
			border-radius: 15px 15px 15px 15px;
		}

		#footer {
			clear: both;
			/*padding: 0 1em 1em 1.5em;*/ /* Commenting this out makes it take up whole width, sorta prettier */
			background-color: #000000;
			color:#000000;
			font-family:Arial, Helvetica, sans-serif;

			/* rounded borders: */
			border-radius: 15px 15px 15px 15px;
		}

		#footer_inner {
		/* create space between the box and the the content */
			padding: .5em 1em;
			text-align: left;
			background-color:#000000;
			font-size:14px;
			font-family:Arial, Helvetica, sans-serif;
			color:#000000;
			text-align:center;

			/* rounded borders: */
			border-radius: 15px 15px 15px 15px;
		}

	.gray {font-weight:bold; color:#999;}

	h1 { color:#336DFF; }
	h2 { color:#336DFF; }
	h3 { color:#336DFF; }
	/*Make the horizontal rules pretty*/
	hr {color:#336DFF; background-color:#336DFF; height:3px; }

	/* Black Links! */
	a:link {color:#336DFF; text-decoration:none;}
	a:visited {color:#336DFF; text-decoration:none;}

	/*These correlate to the menuanchorclass things for the menu bars:*/
	a.menuanchorclass {color:#336DFF; text-decoration:none; text-transform:uppercase; font-weight:bold; font-size:18px;} /* Link 1 */
	a.menuanchorclass2 {color:#336DFF; text-decoration:none; text-transform:uppercase; font-weight:bold; font-size:18px;} /* Link 2 */
	a.menuanchorclass3 {color:#336DFF; text-decoration:none; text-transform:uppercase; font-weight:bold; font-size:18px;} /* Link 3 */
	a.menuanchorclass4 {color:#336DFF; text-decoration:none; text-transform:uppercase; font-weight:bold; font-size:18px;} /* Link 4 */
	a.menuanchorclass5 {color:#336DFF; text-decoration:none; text-transform:uppercase; font-weight:bold; font-size:18px;} /* Link 5 */
	a.menuanchorclass6 {color:#336DFF; text-decoration:none; text-transform:uppercase; font-weight:bold; font-size:18px;} /* Link 6 */
	a.menuanchorclass7 {color:#336DFF; text-decoration:none; text-transform:uppercase; font-weight:bold; font-size:18px;} /* Link 7 */
	a.menuanchorclass8 {color:#336DFF; text-decoration:none; text-transform:uppercase; font-weight:bold; font-size:18px;} /* Link 8 */
	a.menuanchorclass9 {color:#336DFF; text-decoration:none; text-transform:uppercase; font-weight:bold; font-size:18px;} /* Link 9 */

	/* Capstone bar links */
	a.capstonebarlink:link {color:#336DFF; font-family: Verdana, Geneva, sans-serif; text-decoration:none;}
	a.capstonebarlink:hover {color:#336DFF; font-family: Verdana, Geneva, sans-serif; text-decoration:none;}
	a.capstonebarlink:visited {color:#336DFF; font-family: Verdana, Geneva, sans-serif; text-decoration:none;}
	.capstonebarlinkcurrentpage {color:#999; font-family: Verdana, Geneva, sans-serif; font-weight:bold; text-decoration:none; border-top:solid #C03;}

	/* Left navbar links bold when hovered over */
	a.leftnavlink:link {color:#336DFF; text-decoration:none;}
	a.leftnavlink:hover {color:#336DFF; font-weight:bold; text-decoration:none;}
	a.leftnavlink:visited {color:#336DFF; text-decoration:none;}

	/* Important links, same as above but different color: */
	a.importantlink:link {color:#336DFF; text-decoration:none;}
	a.importantlink:hover {color:#F00; font-weight:bold; text-decoration:none;}
	a.importantlink:visited {color:#336DFF; text-decoration:none;}

	/* Misc things */
	.jsfooter {font-size:14px;background-color:#000000;color:#FFFFFF;} /* Controls the Javascript footer attributes */

	/* fancy shmancy unordered list: */
	.leftborderedul { border-left:solid #336DFF 8px; } /* add the left border */
}

#header_inner, #nav_inner, #content_inner {
/* clip oversize elements that would break the layout */
	overflow: hidden;
}